
#pen-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: fixed;
  top: 0; left: 0; bottom: 0; right: 0;
  align-items: center;
}

.tree-view {
  align-self: center;
  margin: auto;
  padding: 15px;
}

.tree-view .checkbox {
  padding: 5px;
  margin: 0
}

.tree-view ul {
  margin: 0 0 0 5px;
  padding: 0 0 0 15px;
  list-style: none;
}
.tree-view .root {
  padding-left: 10px;
}
.tree-view .is-folder ul {
  border-left: 1px dotted #DDD;
}
.tree-view .checkbox input {
  display: none;
}
.tree-view .checkbox input + label {
  position: relative;
  display: block;
}
.tree-view .checkbox input + label:before {
  content: "";
  display: block;
  position: absolute;
  top: 50%; left: 3px;
  margin-top: -7px;
  border: 2px solid #AAA;
  height: 14px; width: 14px;
}
.tree-view .checkbox input:checked + label:before {
  border-color: #446CB3;
}
.tree-view .checkbox input:checked + label:after {
  content: "\f00c";
  display: block;
  position: absolute;
  top: 50%; left: 4px;
  margin-top: -6px;
  height: 12px; width: 12px;
  font: normal normal normal 12px/1 FontAwesome;
  color: #446CB3;
}
.tree-view .checkbox.partial-check > input + label:before,
.tree-view .checkbox.partial-check > input:checked + label:before {
  box-shadow: inset 0 0 0 2px #FFF;
  background: #AAA;
}
.tree-view .checkbox.partial-check > input + label:after {
  display: none;
}
.is-folder > .checkbox {
  position: relative;
  padding-left: 15px;  
  border-color: #DDD;
  font-weight: bold;
}
.is-folder > .checkbox > a.folder-toggle {
  display: block;
  position: absolute;
  top: 50%; left: 3px;
  width: 0; height: 0; 
  margin-top: -3px;
  border-top: 4px solid transparent;
  border-bottom: 4px solid transparent;
  border-left: 6px solid #666;
}
.is-folder.open > .checkbox > a.folder-toggle {
  display: block;
  position: absolute;
  top: 50%; left: 3px;
  width: 0; height: 0; 
  margin-top: -4px;
  border-right: 4px solid transparent;
  border-top: 6px solid #666;
  border-left: 4px solid transparent;
}

.is-folder > ul {
  display: none;
}
.is-folder.open > ul {
  display: block;
}